<form #newAddressForm="ngForm" (ngSubmit)="submit(newAddressForm)">
    <div class="form-group row">
        <div class="col-md-6">
            <input type="text"
                   class="form-control"
                   placeholder="First Name"
                   name="firstName"
                   ngModel
                   #firstName="ngModel"
                   required
            />
            <div *ngIf="firstName.errors && (firstName.dirty || firstName.touched)"
                 class="alert alert-danger"
            >
                <div [hidden]="!firstName.errors.required">
                    First Name is required
                </div>
            </div>
        </div>
        <div class="col-md-6">
            <input type="text"
                   class="form-control"
                   placeholder="Last Name"
                   name="lastName"
                   ngModel
                   #lastName="ngModel"
                   required
            />
            <div *ngIf="lastName.errors && (lastName.dirty || lastName.touched)"
                 class="alert alert-danger"
            >
                <div [hidden]="!firstName.errors.required">
                    Last Name is required
                </div>
            </div>
        </div>
    </div>
    <div class="form-group row">
        <div class="col-md-12">
            <input type="text"
                   class="form-control"
                   placeholder="Address Line"
                   name="addressLine"
                   ngModel
                   #addressLine="ngModel"
                   required>
            <div *ngIf="addressLine.errors && (addressLine.dirty || addressLine.touched)"
                 class="alert alert-danger"
            >
                <div [hidden]="!addressLine.errors.required">
                    Address Line is required
                </div>
            </div>
        </div>
    </div>
    <div class="form-group row">
        <div class="col-md-6">
            <input type="text"
                   class="form-control"
                   placeholder="City"
                   name="city"
                   ngModel
                   #city="ngModel"
                   required>
            <div *ngIf="city.errors && (city.dirty || city.touched)"
                 class="alert alert-danger"
            >
                <div [hidden]="!city.errors.required">
                    City is required
                </div>
            </div>
        </div>
        <div class="col-md-6">
            <input type="text"
                   class="form-control"
                   placeholder="Postcode"
                   name="postCode"
                   ngModel
                   required
                   #postCode="ngModel"
                   minlength="5" maxlength="5">
            <div *ngIf="postCode.errors && (postCode.dirty || postCode.touched)"
                 class="alert alert-danger">
                <div [hidden]="!postCode.errors.required">
                    Post Code is required
                </div>
                <div [hidden]="!postCode.errors.minlength">
                    Post Code must be at least 5 characters long.
                </div>
                <div [hidden]="!postCode.errors.maxlength">
                    Post Code cannot be more than 5 characters long.
                </div>
            </div>
        </div>
    </div>
    <div class="form-group row">
        <div class="col-md-10">
            <input type="text"
                   class="form-control"
                   placeholder="State"
                   name="state"
                   ngModel
                   #state="ngModel"
                   required>
            <div *ngIf="state.errors && (state.dirty || state.touched)"
                 class="alert alert-danger"
            >
                <div [hidden]="!state.errors.required">
                    State is required
                </div>
            </div>
        </div>
        <div class="col-md-2">
            <button type="submit"
                    class="btn btn-success pull-right"
                    [disabled]="!newAddressForm.form.valid"
            >Add Address
            </button>
        </div>
    </div>
</form>